slepc-3.10.1 2018-10-23
Report Typos and Errors

# STGetOperator

Returns a shell matrix that represents the spectral transformation.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetOperator(ST st,Mat *Op)

Collective on ST

### Input Parameters

| st | - the spectral transformation context

### Output Parameter

| Op | - output matrix

### Notes

The returned shell matrix is essentially a wrapper to the STApply() and STApplyTranspose() operations. It must be destroyed after use.

### See Also

STApply(), STApplyTranspose()

Location: src/sys/classes/st/interface/stsolve.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages